Bug 496742 - Review Request: elfelli - Visualisation tool for flux lines
Review Request: elfelli - Visualisation tool for flux lines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 17:34 EDT by Fabian Affolter
Modified: 2009-10-27 09:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.1-2.rc1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-24 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-20 17:34:05 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/elfelli.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/elfelli-0.3-1.fc10.src.rpm

Project URL: http://home.gna.org/elfelli/

Description:
A tool to calculate and visualize electric flux lines around charged
bodies.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1309775

rpmlint output:
[fab@laptop24 i386]$ rpmlint elfelli*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint elfelli-0.3-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-21 09:57:03 EDT
Package fails to build in mock for F10
src/XmlLoader.h:25:19: error: expat.h: No such file or directory

When you get mock build to work I'll review the package.


PS. You have an awful lot of packages and review requests for packages, but few have done few reviews. Maybe you could do a few, since the review queue is quite clogged?
Comment 2 Fabian Affolter 2009-04-22 13:12:18 EDT
(In reply to comment #1)
> Package fails to build in mock for F10
> src/XmlLoader.h:25:19: error: expat.h: No such file or directory
> 
> When you get mock build to work I'll review the package.

Sorry, I uploaded the copy to fedorapeople before building the package in mock and koji and haven't synchronized them.    

> PS. You have an awful lot of packages and review requests for packages, but few
> have done few reviews. Maybe you could do a few, since the review queue is
> quite clogged?  

sure

Can you please download the stuff again?  'BuildRequires:  expat-devel' was added.  Thanks for your time to review my packages.
Comment 3 Susi Lehtola 2009-04-22 13:37:08 EDT
- Optflags are not used.

- scons install recompiles targets.
Comment 4 Fabian Affolter 2009-05-03 10:18:55 EDT
For bugs tracking:

.desktop file and icon : https://gna.org/bugs/index.php?13468
optflags and targets   : https://gna.org/bugs/index.php?13469
Comment 5 Fabian Affolter 2009-06-08 05:52:43 EDT
It seems that upstream made some changes. Time for an update.
Comment 6 Susi Lehtola 2009-07-05 06:36:28 EDT
ping?
Comment 7 Fabian Affolter 2009-07-06 16:32:44 EDT
(In reply to comment #3)
> - Optflags are not used.

Upstream fixed this

> - scons install recompiles targets.

fixed

Here are the updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/elfelli.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/elfelli-0.3.1-1.rc1.fc11.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1457695
Comment 8 Susi Lehtola 2009-07-06 17:37:18 EDT
- I think it would be nice if the linking would use the optflags too, but it seems the current elfelli build scripts don't support it. Probably it's fine (unless -fPIC is in %{optflags} in which case the linking too needs -fPIC).

- You might use a macro for the release version to avoid the duplicates in release, source and build root. E.g.
 %global rel rc1
and change all references to rc1 to %{rel}.

- You are missing the icon cache updates, see
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

**

rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


**

Fix the issues before import to CVS. The package has been


APPROVED
Comment 9 Fabian Affolter 2009-07-06 18:28:14 EDT
(In reply to comment #8)
> - I think it would be nice if the linking would use the optflags too, but it
> seems the current elfelli build scripts don't support it. Probably it's fine
> (unless -fPIC is in %{optflags} in which case the linking too needs -fPIC).

Upstream added the scons option "ccflags".  I will get in touch with them and see if there is a possibility to add support for optflags in the linking too.
 
> - You might use a macro for the release version to avoid the duplicates in
> release, source and build root. E.g.
>  %global rel rc1
> and change all references to rc1 to %{rel}.

Upstream made the 'release candidate' release only for the package review.  But you are right that the usage of a macros would facilitate the handling.
 
> - You are missing the icon cache updates, see
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache

Thanks, I missed that.
Comment 10 Fabian Affolter 2009-07-06 18:29:02 EDT
New Package CVS Request
=======================
Package Name: elfelli
Short Description: Visualisation tool for flux lines
Owners: fab
Branches: F-10 F-11
InitialCC:
Comment 11 Kevin Fenzi 2009-07-07 00:00:39 EDT
cvs done.
Comment 12 Fedora Update System 2009-07-09 17:06:47 EDT
elfelli-0.3.1-2.rc1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/elfelli-0.3.1-2.rc1.fc10
Comment 13 Fedora Update System 2009-07-09 17:06:53 EDT
elfelli-0.3.1-2.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/elfelli-0.3.1-2.rc1.fc11
Comment 14 Fedora Update System 2009-07-16 02:58:06 EDT
elfelli-0.3.1-2.rc1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfelli'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7572
Comment 15 Fedora Update System 2009-07-16 03:20:02 EDT
elfelli-0.3.1-2.rc1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfelli'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7647
Comment 16 Fedora Update System 2009-07-24 15:40:59 EDT
elfelli-0.3.1-2.rc1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-07-24 15:41:10 EDT
elfelli-0.3.1-2.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.